package org.jeecg.ctop.material.service;

import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.api.vo.Result;

import java.util.Map;

public interface IBytedanceAccountReportDailyDwService {

    JSONObject getTotalCharge(Map<String, Object> paramsMap);

    JSONObject getTrendCharge(String type, Long projectId, String startTime, String endTime);

    Result<Object> getProjectReport(String category,Long projectId, String startTime, String endTime, String sortCode, String order, Integer pageSize, Integer pageNo) throws Exception;
}
